Skip to content

ライブ配信ランキング - トップライブ配信クリエイター

概要

TikTokライブ配信のクリエイター売上ランキングデータを取得します。以下の機能をサポートします。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

API エンドポイント

bash
    POST /live/v1/rank/topCreator

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえデフォルト: 1
pagesizeintegerいいえデフォルト: 10

page * pagesize <= 500

pagesize 範囲 [1, 100]

filter オプション値

フィールド必須説明
regionstringいいえ国/地域
product_category_idintegerいいえ商品カテゴリ(レベル1)
creator_category_idintegerいいえクリエイターカテゴリ
date_infoobjectはい日付情報: {"type":"day","value":"2025-02-01"}

region 範囲: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

orderby オプション値

フィールド必須説明
units_soldいいえ販売数(降順)
gmvいいえ売上(降順)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/live/v1/rank/topCreator' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "product_category_id": 14,
        # "creator_category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        }
        #,
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-14"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

結果の総数

data.list

フィールド説明
creatorobjectクリエイター情報
top_livearray[object]売上上位のライブ配信
sale_product_countinteger販売中の商品数
live_units_soldinteger総ライブ配信販売数
live_gmvinteger総ライブ配信売上
live_usd_gmvinteger総ライブ配信売上(USD)
currencystring通貨
live_countintegerライブ配信数

data.list:creator

フィールド説明
uidstringクリエイターID
unique_idstringクリエイターのユニークID
nicknamestringクリエイターのニックネーム
avatarstringクリエイターのアバターURL
regionstring国/地域
categoryobjectクリエイターカテゴリ
follower_countintegerクリエイターのフォロワー数

data.list:top_live

フィールド説明
room_idstringライブルームID
uidstringクリエイターID
regionstring国/地域
titlestringライブ配信タイトル
coverstringライブ配信カバー
units_soldintegerライブ配信販売数
gmvintegerライブ配信売上
currencystring通貨

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "creator": {
          "uid": 7291972001835992106,
          "unique_id": "highlanddaily1",
          "nickname": "highlanddaily1",
          "avatar": "https://s.500fd.com/tt_author/05cf95d47762fb424adeb44051ec003a~c5_300x300.jpeg",
          "region": "US",
          "category": {
            "id": 4,
            "name": "Beauty"
          },
          "follower_count": 77777777
        },
        "sale_product_count": 178,
        "live_units_sold": 57140,
        "live_gmv": 958762.84,
        "live_usd_gmv": 958762.84,
        "currency": "USD",
        "live_count": 6,
        "top_live": [
          {
            "room_id": "7621968386985085727",
            "uid": "7291972001835992106",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/7584354100402735927~tplv-obj.image",
            "uints_sold": 72,
            "gmv": 1646.34,
            "currency": "USD"
          },
          {
            "room_id": "7621609989198727966",
            "uid": "7291972001835992106",
            "title": "Spring Glow Up LIVE",
            "region": "US",
            "cover": "https://s.500fd.com/tt_live/7584354100402735927~tplv-obj.image",
            "uints_sold": 20,
            "gmv": 292.64,
            "currency": "USD"
          }
        ]
      }
    ],
    "total": 500,
    "date_type": "week",
    "date_value": "2026-13"
  },
  "message": "",
  "timestamp": 1777297264,
  "request_id": "eeb9aec8-5bd6-2019-da8d-ba53c6946833"
}